10.10.5 srvr: Netinstall older versions

Discussion in 'Mac OS X Server, Xserve, and Networking' started by adam9c1, Aug 28, 2015.

  1. adam9c1 macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #1
    I have 10.10.5 and latest Server.app running.

    I have created a Netinstall of 10.10.5 and have tested it.

    When I download older OS X .app from the App Store, I am unable to use it as a source.
    When I run the System Image Utility, nothing shows up as the source.

    Thoughts?
     
  2. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #2
    It's always the case that you have to run SIU on an OS that matches the OS you're trying to image.
     
  3. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #3
    So if I want a 10.9 installer, I need to have a working 10.9 machine first, on that run System Image Utility, make the installer, and copy to my server machine?
     
  4. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #4
    Correct. Virtual Machines are very convenient for this sort of thing.
    A second edit: you may also need to use the version of SIU for that same version of OS.
     
  5. sonamo, Aug 28, 2015
    Last edited: Aug 28, 2015

    sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #5
    Yes, this is the way to do it.

    You can also partition an external hard drive a few times to make partitions for different versions of OS X Server. Boot to the OS X server version you want, then use the System Image Utility and copy the NBI file to the 10.10.5 server.
     
  6. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #6
    My luck...
    That's the server version I did Not buy.
     
  7. sonamo, Aug 31, 2015
    Last edited: Sep 4, 2015

    sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #7
    UPDATE: Just click on the app store link to buy Mavericks on my next post.
     
  8. sonamo, Aug 31, 2015
    Last edited: Sep 4, 2015

    sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #8
    There are MAS links to buy Mountain Lion or Mavericks server here: https://support.apple.com/en-us/HT203137
     
  9. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #9
    But I never purchased that version of the Server app.

    I have Yosemite and mountain Lion, but not Mavericks.
     
  10. sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #10
    Dude, it's on the link to the Apple Support page I gave you, here: https://itunes.apple.com/app/id714547929?mt=12
     
  11. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
  12. sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #12
    Does it take you to the page to buy Mavericks Server for 19.99 or not?

    Read my previous posts it's from an Apple KB article
     
  13. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #13
    I have installed Mavericks and with your link was able to install Mavericks server (for free!!)

    Now I downloaded Mavericks Server.app and created Mavericks installer, then copied it to the Yosemite Server.
    I see the Mavericks installer as an option, and even if I set it as Default...

    The netboot will pick Yosemite...




    Thoughts?
     
  14. sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #14
    You copied a .NBI folder? What path on the Yosemite Server did you copy it to?
     
  15. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #15
    Server volume / library / NetBoot / netbootsp0 / installer name.nbi
     
  16. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
  17. sonamo macrumors newbie

    Joined:
    Jan 23, 2014
    #17
    Try moving all other images out of of the folder and seeing if it will work. I can't help you anymore, sorry.
     
  18. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #18
    I was able to netboot and at the installation screen (where I choose disk util, install os x, etc) choose start up disk. I chose the netinstall of Mavericks and installed that way.

    Now I'm trying to do a Netinstall via vmware fusion 7.1.1
    VM tries to boot via efi network and fails.
     
  19. adam9c1 thread starter macrumors 65816

    adam9c1

    Joined:
    May 2, 2012
    Location:
    Chicagoland
    #19
    I have tried the link to DL Server on a 10.8.5 machine and see a message
    Server can't be installed on HD because OS X version 10.9.5 or later is required.
     
  20. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #20
    10.8.x requires Server 2.x. Server 3.x works with 10.9.x.
    This page, as linked by @sonamo, has the link for Server 2 https://support.apple.com/en-us/HT203137
     

Share This Page